
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>少量代码带你熟悉MongoDB在Java下的增删查改 / 憋错料</title>

    <meta name="description" content="少量代码带你熟悉MongoDB在Java下的增删查改 我们总不能一直使用cmd对数据库操作,数据库总是要在程序中使用的.今天来说一下怎么通过Java调用MongoDB. 学习一下最基本也是最常用的增删查改语句,这是使用数据库的基础. 注意事项: 1.要打开mongod.exe,程序运行期间要一直开着. 2.Java项目里面要导入mongo的jar包,mongo-版本号-jar. 以下为代码: public class MongoTest { public static void main(String args[]) throws UnknownH">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">少量代码带你熟悉MongoDB在Java下的增删查改</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>我们总不能一直使用cmd对数据库操作，数据库总是要在程序中使用的。今天来说一下怎么通过Java调用MongoDB。</p>
<p>学习一下最基本也是最常用的增删查改语句，这是使用数据库的基础。</p>
<p>注意事项：</p>
<p>1、要打开mongod.exe,程序运行期间要一直开着。</p>
<p>2、Java项目里面要导入mongo的jar包，mongo-版本号-jar。</p>
<p>以下为代码：</p>
<pre>public class MongoTest {

    public static void main(String args[]) throws UnknownHostException, MongoException{

        //创建了一个MongoDB的数据库连接对象，它默认连接到当前机器的localhost地址，端口是27017
        Mongo mongo = new Mongo();

        //获得了一个mydbs的数据库，如果该数据库不存在则会创建
        DB db = mongo.getDB("mydbs");

        //获取mydbs这个数据库中的数据库表！
        DBCollection mydbs = db.getCollection("mydbs");

        //以上对应cmd语句 ：use mydbs

        //在花括号内的内容就是一个BasicDBObject
        //如{"name":"binbin"} 就是  BasicDBObject("name","binbin")
        //再如{"age":{$lte:50}} 就是 BasicDBObject("age", new BasicDBObject("$lte",50))

        //一：基本查询，对应语句：db.mydbs.find()

        //将查找的结果返回到游标中
        DBCursor cur = mydbs.find();

        //如果有数据则输出
        while (cur.hasNext()) {

        System.out.println(cur.next());

        }

        //二：插入语句，对应语句：db.mydbs.insert(user)
        DBObject user = new BasicDBObject();

        user.put("name", "weizhibin");
        user.put("age", "20");
        user.put("school", "uestc");

        mydbs.insert(user);

        //三：删除语句，对应语句：db.mydbs.remove({"name":"weizhibin"})

        mydbs.remove(new BasicDBObject("name","weizhibin"));

        //四：更新语句，对应语句：db.col.update({"name":"weizhibin"},{$set:{"name":"binbin"}})

        mydbs.update(new BasicDBObject("name","weizhibin"),new BasicDBObject("$set",new BasicDBObject("name","bibin")));

        //五：条件查询，对应语句：db.mydbs.find({"name":"weizhibin"})
        DBCursor cur2 = mydbs.find(new BasicDBObject("name","weizhibin"));

        //如果有数据则输出
        while (cur2.hasNext()) {

        System.out.println(cur2.next());

        }

    }

}</pre>
<p>好了，以上是最常用的基本增删查改语句。MongoDB有一些复杂的语句，都是在这些的基础之上延伸的，学起来也不难，在此就不一一列举了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-24 18:54:53 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>少量代码带你熟悉MongoDB在Java下的增删查改的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzEqJA4.html" rel="bookmark">java对链表增删查改操作API</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从c++方向搞点java副业.结果在静态链表这里绊了一跤.感谢巨人们的肩膀重见天日. 希望后来人少走些弯路. 废话少说,直接贴代码: 1.创建链表的节点类 public class Node { private Node node; private Object eleme; public void setEleme(Object eleme) { this.eleme = eleme; } public Node(){ this.eleme = null;node = null; } publ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/38kOQy0.html" rel="bookmark">8天学通MongoDB&mdash;&mdash;第二天 细说增删查改</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				看过上一篇,相信大家都会知道如何开启mongodb了,这篇就细说下其中的增删查改,首先当我们用上一篇同样的方式打开mongodb,突然 傻眼了,擦,竟然开启不了,仔细观察“划线区域“的信息,发现db文件夹下有一个类似的”lock file”阻止了mongodb的开启,接下来我们要做的就 是干掉它,之后,开启成功,关于mongodb的管理方式将在后续文章分享. 一: Insert操作 上一篇也说过,文档是采用“K-V”格式存储的,如果大家对JSON比较熟悉的话,我相信学mongodb是手到擒来,我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MmeNO1M.html" rel="bookmark">Mongodb学习总结-2（细说增删查改）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				看过上一篇,相信大家都会知道如何开启mongodb了,这篇就细说下其中的增删查改,首先当我们用上一篇同样的方式打开mongodb,突然 傻眼了,擦,竟然开启不了,仔细观察“划线区域“的信息,发现db文件夹下有一个类似的”lock file”阻止了mongodb的开启,接下来我们要做的就 是干掉它,之后,开启成功,关于mongodb的管理方式将在后续文章分享. 一: Insert操作 上一篇也说过,文档是采用“K-V”格式存储的,如果大家对JSON比较熟悉的话,我相信学mongodb是手到擒来,我			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wWYBQ3.html" rel="bookmark">java  JDBC  万能DAO的实现的补充  实现了增删查改</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有了这个类  ,基本后台的所有逻辑操作都能实现,后端雏形就算搭建出来了 说说写这个类遇到的坑 1.Exception in thread &quot;main&quot; java.lang.IndexOutOfBoundsException: Index: 6, Size: 6   ResultSetMetaData中的getColumnCount()方法是从1开始的 代码如下: resultSet = DbHelper.getStatement().executeQuery(sql); ResultS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MD8JXkM.html" rel="bookmark">MongoDB入门学习&lpar;三&rpar;：MongoDB的增删查改</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于我们这种菜鸟来说,最重要的不是数据库的管理,也不是数据库的性能,更不是数据库的扩展,而是怎么用好这款数据库,也就是一个数据库提供的最核心的功能,增删查改. 因为MongoDB存储数据都是以文档的模式,所以在操作它的数据时,也是以文档为单位的.那么我们实现增删查改也是以文档为基础,不知道文档是什么的同学可以看看上篇介绍的基本概念. 1.插入文档 向MongoDB集合中插入文档的基本方法是insert: 单个插入 &gt; document = {key : value} &gt; db.collecti			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0nqeZXM.html" rel="bookmark">Asp&period;Net Mvc&plus;MongoDB简单增删查改</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				                                   Asp.Net Mvc+MongoDB简单增删查改 概要:现在很多企业都在使用非关系型的NoSql数据库,其中MongoDB是相当热门的,最近有空就研究了一下,本文写了一套基于Asp.Net Mvc和MongoDB的简单增删查改,本文部分内容是借用其他博文,最后我会贴出出处. 正文: 在控制器的Models中新建一个UserModel模型(其中相当于另开一个类库,类似Dal层) using System; using Syst			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mg22EO4.html" rel="bookmark">JAVA原生mvc实现用户信息的增删查改</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				笔者最近学完jsp和servlet,于是心血来潮的打算写个简单的用户案例 环境准备: 开发工具eclipse jdk-1.8.0_72 tomcat-9.0.5 前端部分: 1.自己手写了一套样式 2.使用ajax交互 目录结构: java目录: 前端目录 需求分析: 1.能够实现用户的登录和注册 2.能够实现对用户信息的增删查改 3.登录过一次的用户保存登录记录,也就是记录session 由于笔者不是很擅长写界面,所以后台界面部分不是写的很好看,这里就先预览一遍 由于代码量太多了,我就把这个项			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoovLkM.html" rel="bookmark">MongoDB数据库进阶 --- 增删查改&period;&period;&period;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在之前的文章中,我已经介绍了什么事MongoDB以及怎么在windows下安装MongoDB等等基本知识. 所以这篇进阶的博客就主要介绍以下如何进行数据库的基本操作 --- 增删查改. 数据库相关 显示所有数据库: show dbs 其中admin和local都是默认存在的数据库. 查看当前数据库: db 即当前默认就是test数据库,但是为什么在 show dbs 的时候没有呢?  这是因为test数据库中没有任何数据,所以不会显示,后面会介绍插入数据,插入数据后就会显示了. 创建数据库: u			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xe6BL3.html" rel="bookmark">SQL Server之 &lpar;四&rpar; ADO增删查改  登录demo  带参数的sql语句  插入自动返回行号</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SQL Server之 (四) ADO增删查改  登录demo  带参数的sql语句  插入自动返回行号 自己学习笔记,转载请注明出处,谢谢!---酸菜 1.什么是ADO.NET ADO.NET是一组类库,这组类库可以让我们通过程序的方式访问数据库,并以各种方式操作存储在其中的数据; ADO.NET是基于.NET FrameWork,与.NET FrameWork类库的其余部分是高度集成的 2.连接数据库的步骤 ①创建连接字符串 Data Source=XXX-PC; Initial Catal			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/pMPZWn3.html" rel="bookmark" class="title">QT5&period;x应用在Mac OS X和Windows平台的发布过程</a>
					<div>
						QT是一款非常牛逼的跨平台开发工具,目前可以开发Mac OS X.Windows.Linux.Android.iOS等平台的App.对于Android和iOS平台,发布相对容易,例如,Android平 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/L3rOal4.html" rel="bookmark" class="title">python中字符串的常用操作</a>
					<div>
						目的:熟练使用不同的容器或函数操作字符串,这里只介绍常用的方法. 环境:windows 7 python 3.5.3  或 ubuntu 16.04 python 3.5.2 情景:初学python接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MEJbR0.html" rel="bookmark" class="title">学霸数据处理项目框架修改建议</a>
					<div>
						菅冕鸽娆 椠亭肌 葵腙狼 铺柙旌唧 租虑 摞趟蟋氛 鸪职槟闲 佤癀穹骜 咖嗬荡 贴组坌骼 邑液ク递 獭ゥ 铄绉去闭 听了几辆豪华骑车不想太招摇了挥手叫了辆出租 嗡锴沼圊 儡辕柴 俗渝馄 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0KmR94.html" rel="bookmark" class="title">网关是什么</a>
					<div>
						网关是一种充当转换重任的计算机系统或设备.在使用不同的通信协议.数据格式或语言,甚至体系结构完全不同的两种系统之间,网关是一个翻译器.与网桥只是简单地传达信息不同,网关对收到的信息要重新打包,以适应目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGG8mbM.html" rel="bookmark" class="title">Stream与byte&lbrack;&rsqb;与Image与string</a>
					<div>
						public byte[] GetByteImage(Image img) { byte[] bt = null; if (!img.Equals(null)) { using (MemoryStre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0byrooM.html" rel="bookmark" class="title">【转】java中关键字volatile的作用</a>
					<div>
						在Java内存模型中,有main memory,每个线程也有自己的memory (例如寄存器).为了性能,一个线程会在自己的memory中保持要访问的变量的副本.这样就会出现同一个变量在某个瞬间,在一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OmLBoM.html" rel="bookmark" class="title">Python作业本&mdash;&mdash;第5章 字典和结构化数据</a>
					<div>
						习题 1. {} 2. {'fow': 42} 3.字典是无序的 4.报错    (KeyError) 5.第一种是既搜索键又搜索值,第二种值搜索键    没有区别,in操作符检查一个值是不是字典的一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lr2dL4.html" rel="bookmark" class="title">ssh框架</a>
					<div>
						建项目时 选择tomcat running time 这样建成后有 Hibernate  4.1.4(勾选core) Spring 4.1.0   Facets里 选择一个Module 其它 全选 S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEk9rX3.html" rel="bookmark" class="title">联合体以及如何调出内存窗口</a>
					<div>
						联合体相关: 其实联合体这块儿基本上跟struct用法是相同的,只不过联合体这里公用一块内存. 为了合理演示其所有内容,需要调用一个内存窗口.这个在查找的时候还是费了一些功夫的.来分享一下. 这样直接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35lreo0.html" rel="bookmark" class="title">UVA 11427 &lpar;概率DP&plus;期望&rpar;</a>
					<div>
						题目链接: http://acm.hust.edu.cn/vjudge/problem/viewProblem.action?id=35396 题目大意:每晚打游戏.每晚中,赢一局概率p,最多玩n局, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35lmWK0.html" rel="bookmark" class="title">立夏三要</a>
					<div>
						一年四季,更迭交替.今年的春季忽冷忽热,老天尽情挥洒着自己的脾气:忽而热情洋溢,热得你脱去冬衣:忽而冷若冰霜,又让你把&quot;秋裤&quot;穿起.但不管怎样,夏天该来就来了.每年阳历的5月5或6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jXLrV4.html" rel="bookmark" class="title">关于jdbc Oracle数据库连接的URL错误</a>
					<div>
						今天写了个java类连接oracle,抛出了这个问题 java.sql.SQLException: No suitable driver found for jdbc:oracle:thin:@127 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXLlgGM.html" rel="bookmark" class="title">初踏上ACM征程</a>
					<div>
						本来自信足足的,觉得自己在高中学过一点信息奥赛应该可以轻松一些.现在发现自己完全错了. 假期留校了,我的大一暑假啊!!不顾除了这个也没有了太多其他的负面情绪了,其实留在这里的好处还是蛮吸引我的. 只是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pz8OP0.html" rel="bookmark" class="title">6月1日上午学习日志</a>
					<div>
						2017年6月1日上午把之前记忆的考研核心单词复习了一部分,然后听外教讲授Eclipse 的课程,完成扇贝app100个单词背诵.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWDw9y0.html" rel="bookmark" class="title">打印100以内的素数，并求和</a>
					<div>
						//打印100以内的素数,并求和 int sum = 0;//定义和的初始值为0 for (int i = 1; i &lt;= 100; i++) { int count = 0;//定义一个数被整 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZbN5m3.html" rel="bookmark" class="title">淘宝店铺基础版全屏装修步骤及代码，已经经过测试</a>
					<div>
						1.淘宝基础版全屏海报旺铺基础版是左右两栏的布局,那我们就把左栏的模块全部删掉,在右栏建立自己的自定义模块,在自定义模块中加入以下代码,产生的效果就是通栏效果.在“加入自己的自定义内容”这句话这里插入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eklJv4.html" rel="bookmark" class="title">局障永卣滞o7w782cuk</a>
					<div>
						http://wx.233.com/share/2494188http://weibo.com/20151030p/2308373904559805256193?qogghttp://sina.lt/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0b5KXeM.html" rel="bookmark" class="title">MySQL安装&lpar;以程序的方式启动&rpar;zip版</a>
					<div>
						电脑环境 win10 64位 企业版 1.解压zip文件到某路径下. 2.复制目录下的my-default.ini 改名字(my.ini) 3.打开my.ini [mysqld]下面加上charact ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pN9dx0.html" rel="bookmark" class="title">Delphi GDI对象之绘制位图</a>
					<div>
						http://www.cnblogs.com/pchmonster/archive/2012/07/06/2579334.html 绘制位图(Drawing Bitmaps) 绘制位图听起来似乎很难, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Qo2rE0.html" rel="bookmark" class="title">MyEclipse图表工具Birt的使用技巧（三）--连接webservice数据源</a>
					<div>
						Web Services 技术是一套标准.它定义了应用程序怎样在Web上实现互操作. 用户能够使用不论什么语言.在不同的平台下编写Web Services.然后通过Web Services 的标准来对 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
